import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { PopoverConfig } from 'ngx-bootstrap';
import { CommandExecutorService } from '../common/services/command-executor.service';
import { MessageService } from '../common/services/message.service';
export declare class NgxEditorToolbarComponent implements OnInit {
    private _popOverConfig;
    private _formBuilder;
    private _messageService;
    private _commandExecutorService;
    urlForm: FormGroup;
    imageForm: FormGroup;
    isImageUploader: boolean;
    uploadComplete: boolean;
    updloadPercentage: number;
    isUploading: boolean;
    /**
     * Editor configuration
     */
    config: any;
    urlPopover: any;
    imagePopover: any;
    /**
     * Emits an event when a toolbar button is clicked
     */
    execute: EventEmitter<string>;
    constructor(_popOverConfig: PopoverConfig, _formBuilder: FormBuilder, _messageService: MessageService, _commandExecutorService: CommandExecutorService);
    /**
     * enable or diable toolbar based on configuration
     *
     * @param value name of the toolbar buttons
     */
    canEnableToolbarOptions(value: any): boolean;
    /**
     * triggers command from the toolbar to be executed and emits an event
     *
     * @param command name of the command to be executed
     */
    triggerCommand(command: string): void;
    /**
     * create URL insert form
     */
    buildUrlForm(): void;
    /**
     * insert link
     */
    insertLink(): void;
    /**
     * create insert image form
     */
    buildInsertImageForm(): void;
    onFileChange(e: any): void;
    insertImage(): void;
    ngOnInit(): void;
}
